> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.jambonz.org/reference/rest-platform-management/speech/synthesize/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.jambonz.org/_mcp/server. # get TTS from provider POST https://api.jambonz.cloud/v1/Accounts/{AccountSid}/TtsCache/Synthesize Content-Type: application/json Reference: https://docs.jambonz.org/reference/rest-platform-management/speech/synthesize ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `AccountSid` (string, required) ### Body (application/json) This endpoint expects an object. - `speech_credential_sid` (string, required) — Speech credential Sid - `text` (string, required) — the text to convert to audio - `language` (string, required) — language is used in text - `voice` (string, required) — voice ID - `encodingMp3` (boolean, optional) — convert audio to mp3. ## Response ### 200 Audio is created - File download. ## Errors ### 400 Bad Request Error bad request - `msg` (string, required) ### 422 Unprocessable Entity Error unprocessable entity - `msg` (string, required) ### 500 Internal Server Error system error - `msg` (string, required) ## Examples **Request** ```json { "speech_credential_sid": "553b4b6b-8918-4394-a46d-1e3c5a3c717b", "text": "Hello How are you", "language": "en-US", "voice": "en-US-Standard-C" } ``` **SDK Code** ```python import requests url = "https://api.jambonz.cloud/v1/Accounts/AccountSid/TtsCache/Synthesize" payload = { "speech_credential_sid": "553b4b6b-8918-4394-a46d-1e3c5a3c717b", "text": "Hello How are you", "language": "en-US", "voice": "en-US-Standard-C" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.jambonz.cloud/v1/Accounts/AccountSid/TtsCache/Synthesize'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"speech_credential_sid":"553b4b6b-8918-4394-a46d-1e3c5a3c717b","text":"Hello How are you","language":"en-US","voice":"en-US-Standard-C"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.jambonz.cloud/v1/Accounts/AccountSid/TtsCache/Synthesize" payload := strings.NewReader("{\n \"speech_credential_sid\": \"553b4b6b-8918-4394-a46d-1e3c5a3c717b\",\n \"text\": \"Hello How are you\",\n \"language\": \"en-US\",\n \"voice\": \"en-US-Standard-C\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.jambonz.cloud/v1/Accounts/AccountSid/TtsCache/Synthesize") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"speech_credential_sid\": \"553b4b6b-8918-4394-a46d-1e3c5a3c717b\",\n \"text\": \"Hello How are you\",\n \"language\": \"en-US\",\n \"voice\": \"en-US-Standard-C\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.jambonz.cloud/v1/Accounts/AccountSid/TtsCache/Synthesize") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"speech_credential_sid\": \"553b4b6b-8918-4394-a46d-1e3c5a3c717b\",\n \"text\": \"Hello How are you\",\n \"language\": \"en-US\",\n \"voice\": \"en-US-Standard-C\"\n}") .asString(); ``` ```php request('POST', 'https://api.jambonz.cloud/v1/Accounts/AccountSid/TtsCache/Synthesize', [ 'body' => '{ "speech_credential_sid": "553b4b6b-8918-4394-a46d-1e3c5a3c717b", "text": "Hello How are you", "language": "en-US", "voice": "en-US-Standard-C" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.jambonz.cloud/v1/Accounts/AccountSid/TtsCache/Synthesize"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"speech_credential_sid\": \"553b4b6b-8918-4394-a46d-1e3c5a3c717b\",\n \"text\": \"Hello How are you\",\n \"language\": \"en-US\",\n \"voice\": \"en-US-Standard-C\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "speech_credential_sid": "553b4b6b-8918-4394-a46d-1e3c5a3c717b", "text": "Hello How are you", "language": "en-US", "voice": "en-US-Standard-C" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.jambonz.cloud/v1/Accounts/AccountSid/TtsCache/Synthesize")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```